Index: calculatorview/perspectives/calculator/calculator.py
===================================================================
--- calculatorview/perspectives/calculator/calculator.py	(revision 427fa8795b2c3a12926b4066306ddd51e8c6b18b)
+++ calculatorview/perspectives/calculator/calculator.py	(revision fb0d7a2026cb342e3534b87233a9374b6752815d)
@@ -58,8 +58,9 @@
         
         # If needed, add its name to the perspective list
-        self.perspective.append(self.sld_panel.window_name)
+        #self.perspective.append(self.sld_panel.window_name)
 
         # Return the list of panels
         return [self.sld_panel]
+       
     
     def help(self, evt):
@@ -67,20 +68,10 @@
             Show a general help dialog. 
             TODO: replace the text with a nice image
-        """
-        
-        """
             provide more hint on the SLD calculator
         """
         from help_panel import  HelpWindow
-        frame = HelpWindow(None, -1, pageToOpen="doc/sld_calculator_help.html")    
+        frame = HelpWindow(None, -1)    
         frame.Show(True)
-        name = "SLD_calculator"
-        if frame.rhelp.HasAnchor(name):
-            frame.rhelp.ScrollToAnchor(name)
-        else:
-           msg= "Cannot find SLD Calculator description "
-           msg +="Please.Search in the Help window"
-           wx.PostEvent(self.parent, StatusEvent(status = msg )) 
-        
+      
     def get_context_menu(self, graph=None):
         """
@@ -110,5 +101,23 @@
         """
         return self.perspective
+        
     
+    def get_tools(self):
+        """
+            Returns a set of menu entries for tools
+        """
+        id = wx.NewId()
+        sld_help = "Provides computation related to Scattering Length density"
+        return [("SLD Calculator", sld_help, self.on_calculate_sld)]
+              
+    def on_calculate_sld(self, event):
+        """
+            Compute the scattering length density of molecula
+        """
+        from sld_panel import SldWindow
+        frame = SldWindow(base=self.parent)
+        frame.Show(True) 
+      
+        
     def on_perspective(self, event):
         """
@@ -119,4 +128,5 @@
         """
         self.parent.set_perspective(self.perspective)
+       
     
     def post_init(self):
@@ -125,2 +135,5 @@
         """
         pass
+    
+  
+    
Index: calculatorview/perspectives/calculator/help_panel.py
===================================================================
--- calculatorview/perspectives/calculator/help_panel.py	(revision 427fa8795b2c3a12926b4066306ddd51e8c6b18b)
+++ calculatorview/perspectives/calculator/help_panel.py	(revision fb0d7a2026cb342e3534b87233a9374b6752815d)
@@ -100,12 +100,8 @@
                                      size=(500,-1))
         path = os.getcwd()
-        path= os.path.join(os.path.split(path)[0],"calculatorview",
+        self.path= os.path.join(os.path.split(path)[0],"calculatorview",
                             "doc","sld_calculator_help.html")
        
-        page1="""<html>
-            <body>
-             <p>Select topic on Menu</p>
-            </body>
-            </html>"""
+        self.rhelp.LoadPage(self.path)
         page="""<html>
             <body>
@@ -114,13 +110,9 @@
             </ul>
             </body>
-            </html>"""%path
-        self.rhelp.SetPage(page1)
+            </html>"""%self.path
+        
         self.lhelp.SetPage(page)
         self.lhelp.Bind(wx.html.EVT_HTML_LINK_CLICKED,self.OnLinkClicked )
         
-        #open the help frame a the current page
-        if  pageToOpen!= None:
-            self.rhelp.LoadPage(str( pageToOpen))
-            
         vbox.Add(self.rhelp,1, wx.EXPAND)
         vboxl.Add(self.lhelp, 1, wx.EXPAND)
@@ -143,6 +135,5 @@
             Function to diplay html page related to the hyperlinktext selected
         """
-        link= event.GetLinkInfo().GetHref()
-        self.rhelp.LoadPage(link)
+        self.rhelp.LoadPage(self.path)
 
 class ViewApp(wx.App):
